discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Issue to build gorm-1.2.16 with gcc-4.7


From: Gregory Casamento
Subject: Re: Issue to build gorm-1.2.16 with gcc-4.7
Date: Fri, 10 Feb 2012 19:18:41 -0500

This is because 4.6 and 4.7 eliminate (correctly) the
class_pose_as(..) function in the objective-c runtime.

The only reason Gorm contains this call is because it overrides the
poseAs: method on NSObject so that it can provide a warning when
poseAs: is used inside Gorm.

This was necessary when use of Chamaelon, the older theming framework
which functioned by using categories and poseAs: to override classes
so that they would assume a different look, was more common.  But now
that the GSTheme framework is standard, this check is no longer
necessary.

It's a minor change to fix this.  I will make another release of Gorm
once the GNA servers come back up.

Thanks, GC

On Thu, Feb 9, 2012 at 10:44 AM, Jochen Schmitt <address@hidden> wrote:
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hallo,
>
> I have tried to build grom-1.2.16 with the current gnustep core packages
> on rawhide (mockbuild).
>
> Because rawhide use gcc-4.7 I have got the following error messages:
>
> - -fconstant-string-class=NSConstantString -fexec-charset=UTF-8
> -IInterfaceBuilder -IGormObjCHeaderParser -IGormPrefs -IGormCore -I.
> -I/builddir/GNUstep/Library/Headers -I/usr/local/include -I/usr/include \
>       -o obj/Gorm.obj/main.m.o
> gcc  -rdynamic     -Wl,-z,relro   -pthread -shared-libgcc -fexceptions
> -fgnu-runtime -o Gorm.app/./Gorm \
> ./obj/Gorm.obj/Gorm.m.o ./obj/Gorm.obj/main.m.o   -LGormLib/./obj
> -LGormObjCHeaderParser/./obj -LGormPrefs/./obj -LGormCore/./obj
> -L/builddir/GNUstep/Library/Libraries -L/usr/local/lib64 -L/usr/lib64
> -lGormCore -lGorm -lGormObjCHeaderParser -lGormPrefs    -lgnustep-gui
> -lgnustep-base    -lobjc   -lm
> GormCore/./obj/libGormCore.so: undefined reference to `class_pose_as'
> collect2: error: ld returned 1 exit status
> make[3]: *** [Gorm.app/./Gorm] Error 1
> make[2]: *** [internal-app-run-compile-submake] Error 2
> make[1]: *** [Gorm.all.app.variables] Error 2
> make: *** [internal-all] Error 2
> Fehler beim Bauen des RPM:
>
> It may be nice, if anyone have a hint to solve this issue.
>
> Best Regards:
>
> Jochen Schmitt
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iJwEAQECAAYFAk8z6dQACgkQZLAIBz9lVu9oowQAwb9Z7YMPd0RmjFh7J21ot8Hy
> UkknispuHCEinmB7p+IhdwUl5qVjGrzlSKrmK8WcGn4/za6vi83HZ7cTHOM1Kz1x
> H5gQktqMpTsL3JNn29mIkM+Cg/j4T/B1/PwPJ8uadVJk3AyTJ6zLKLVInO9adWKa
> yERCzjoC5vfMXLghFIY=
> =56Fv
> -----END PGP SIGNATURE-----
>
>
> _______________________________________________
> Discuss-gnustep mailing list
> address@hidden
> https://lists.gnu.org/mailman/listinfo/discuss-gnustep



-- 
Gregory Casamento
Open Logic Corporation, Principal Consultant
yahoo/skype: greg_casamento, aol: gjcasa
(240)274-9630 (Cell)
http://www.gnustep.org
http://heronsperch.blogspot.com



reply via email to

[Prev in Thread] Current Thread [Next in Thread]